Subject: Re: [PATCH 14/16] powerpc: add ps3 platform OS params support

From: Geoff Levand <[email-masked]>
Date: Sun, 12 Nov 2006 20:45:49 -0800

Michael Ellerman wrote:
>> It is not so convenient to view, but the other os area is documented in the
>> iso image CELL-Linux-CL_20061110-ADDON.iso at
>> http://ftp.uk.linux.org/pub/linux/Sony-PS3/.
> 
> Any chance we can get that in some sort of non-insane format? Like a
> PDF? :)

OK, I put it here for you:

 http://67.117.136.164/pub/cell/linux-20061110-docs/BootLinuxAndInstallation.html

The coverage of the other os area is not so good, but more complete
documentation should be provided sometime in the future.

>> >> +	if (header->hdr_version != 1) {
>> >> +		pr_debug("%s:%d hdr_version failed\n", __func__, __LINE__);
>> >> +		return -1;
>> >> +	}
>> > 
>> > Is version 2 not going to be backward compatible? Could it be >= 1 ?
>> 
>> 
>> I have absolutely no clue what the next version number will be, nor the
>> compatibility, etc.  I'll set this when the version changes.
> 
> Except you'll have trouble changing it on the installed base of millions
> of PS3s running Linux :) - At the moment if firmware bump the version on
> you, you've got an unbootable system until the user does a kernel
> upgrade. But it's your baby.

Good point.  Actually, you'll just have a little inaccuracy in your clock
for this version, but I'll change it.

-Geoff